##### Search XDoclet

## replacecopy

Extension of Ant's Copy task that uses XDoclet's template engine to copy instead of Ant's plain copy. It will scan each file for occurrences of <XDtAnt:property name="some.ant.property"/> and replace them with the associated Ant property value.

This is similar to using the standard <copy> Ant built-in task with a nested <filterset> element, but this task uses a pull mechanism (ant properties are pulled from the ant environment by the copied files) instead of a push mechanism (where Ant pushes explicit values into the copied files).

### Implementing Class

xdoclet.ant.ReplaceCopy

### Attributes

Attribute | Description | Required
--- | --- | ---